<?php
    
    namespace artbox\webcomment\assets;
    
    use yii\web\AssetBundle;
    
    /**
     * Class CommentAsset
     */
    class CommentAsset extends AssetBundle
    {
        
        /**
         * @inheritdoc
         */
        public $sourcePath = '@artbox/webcomment/resources';
        
        /**
         * @inheritdoc
         */
        public $js = [
            'artbox_comment.js',
            'jquery.rateit.min.js',
        ];
        
        /**
         * @inheritdoc
         */
        public $css = [
            'artbox_comment.css',
            'rateit.css',
        ];
        
        /**
         * @inheritdoc
         */
        public $depends = [
            'yii\web\JqueryAsset',
            'yii\web\YiiAsset',
        ];
    }
    