<?php
    
    namespace artbox\webcomment\models\interfaces;
    
    use yii\db\ActiveRecordInterface;

    interface RatingCacheInterface extends ActiveRecordInterface
    {
        /**
         * Get foreign key attribute name
         *
         * @return string
         */
        public function getLinkAttribute(): string;
    
        /**
         * Get value
         *
         * @return float
         */
        public function getValue(): float;
    
        /**
         * Set value
         *
         * @param float $value
         *
         * @return void
         */
        public function setValue(float $value);
    }