<?php
    
    use yii\db\Migration;
    
    class m170525_095043_order_to_comment extends Migration
    {
        public function safeUp()
        {
            $this->addForeignKey(
                'customer_id_customer',
                '{{%artbox_comment}}',
                'customer_id',
                'customer',
                'id',
                'CASCADE',
                'CASCADE'
            );
            
            $this->addForeignKey(
                'customer_id_customer',
                '{{%artbox_like}}',
                'customer_id',
                'customer',
                'id',
                'CASCADE',
                'CASCADE'
            );
        }
        
        public function safeDown()
        {
            $this->dropForeignKey('customer_id_customer', '{{%artbox_comment}}');
            $this->dropForeignKey('customer_id_customer', '{{%artbox_like}}');
        }
    }
